🌍 Astrocartography API and βœ‹ Palmistry API are now live. Ship them in your app today.Get Started

Tropical Transit Weekly

This API provides a weekly astrology forecast, including the start and end date of the week, ascendant sign, moon phase, transit relationships, and retrogrades. It gives information on how these astrological events may affect an individual's life during the week.
POSThttps://json.astrologyapi.com/v1/tropical_transits/weekly

Authentication

x-astrologyapi-keystringrequired

API access token used to authenticate requests. Send your access token in this custom header.

Accept-Languagestring

Preferred language for the response content. Supported: English - en.

Body parameters

dayintrequired

Date of birth, eg: 10

monthintrequired

Month of birth, eg: 5

yearintrequired

Year of birth, eg: 1990

hourintrequired

Hour of birth, eg: 19

minintrequired

Minute of birth, eg: 55

latfloatrequired

Latitude, eg: 19.2056

lonfloatrequired

Longitude, eg: 25.2056

tzonefloatrequired

Timezone, eg: 5.5

house_typestringrequired

Default : placidus // koch/topocentric/poryphry/equal_house/whole_sign

curl --location 'https://json.astrologyapi.com/v1/tropical_transits/weekly' \
  --header 'Content-Type: application/json' \
  --header 'x-astrologyapi-key: <YOUR_ACCESS_TOKEN>' \
  --data '{
    "day": 10,
    "month": 5,
    "year": 1990,
    "hour": 19,
    "min": 55,
    "lat": 19.2056,
    "lon": 25.2056,
    "tzone": 5.5,
    "house_type": "placidus"
}'
Try it

Runs with sample data β€” no API key needed

{
  "week_start_date": "11-6-2017",
  "week_end_date": "17-6-2017",
  "ascendant": "Leo",
  "moon_phase": null,
  "transit_relation": [
    {
      "transit_planet": "Saturn",
      "natal_planet": "Jupiter",
      "type": "Trine",
      "orb": 0.79,
      "date": "11-6-2017"
    },
    {
      "transit_planet": "Mercury",
      "natal_planet": "Saturn",
      "type": "Trine",
      "orb": 0.74,
      "date": "12-6-2017"
    },
    {
      "transit_planet": "Mercury",
      "natal_planet": "Ascendant",
      "type": "Sextile",
      "orb": 0.57,
      "date": "16-6-2017"
    },
    {
      "transit_planet": "Saturn",
      "natal_planet": "Moon",
      "type": "Sextile",
      "orb": 0.48,
      "date": "17-6-2017"
    }
  ],
  "retrogrades": []
}